spring-boot-plus:
  # 是否启用ansi控制台输出有颜色的字体，dev环境建议开启，服务器环境设置为false
  enable-ansi: true
  # 当前环境服务IP地址
  server-ip: 139.159.136.86
  # 文件上传下载配置
  upload-path: /opt/upload/
  aop:
    log:
      enable: true
      log-print-type: LINE
      request-log-format: false
      response-log-format: false


spring:
  datasource:
    url: jdbc:mysql://mysql:3306/wecloud_im?serverTimezone=UTC&useUnicode=true&characterEncoding=utf8&useSSL=false&allowPublicKeyRetrieval=true
    username: root
    password: temple123456

  #//测试外网
  #    url: jdbc:mysql://18.136.207.16:3306/wecloud_im?serverTimezone=UTC&useUnicode=true&characterEncoding=utf8&useSSL=false&allowPublicKeyRetrieval=true
  #    username: web
  #    password: axT8knPN5hAP

  # Redis配置
  redis:
    database: 0
    host: redis
#    password: f242cy9DtzfKU5qT
    port: 6379

  cloud:
    nacos:
      discovery:
        server-addr: nacos:8848


dubbo:
  protocol:
    port: 20881
    name: dubbo
  registry:
    address: nacos://nacos:8848?username=nacos&password=nacos
  provider:
    cluster: channelRouterCluster
  consumer:
    check: false

# 打印SQL语句和结果集，本地开发环境可开启，线上注释掉
mybatis-plus:
  configuration:
    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl

#  服务器负载均衡配置
load-blance:
  # 服务器运营商local,aws,huawei
  server-type: local

# NameServer地址 用;作为地址的分隔符
rocketmq:
  namesrvAddr: 124.71.83.11:9876
  # 生产者的组名
  producerId: im-server


sms:
  huawei:
    url: https://rtcsms.cn-north-1.myhuaweicloud.com:10743/sms/batchSendSms/v1
    sender: 8820122113125
    appKey: FKFPgk3X6VRYAMJ9r9CIJWG2709W
    appSecret: gvS2S8nD01vKCA1v45qi379gu1T5
    verifyCode: 666666
